Apache Tomcat 7.0.42

## org.apache.tomcat.util.codec
Interface BinaryEncoder

All Superinterfaces:
  Encoder

All Known Implementing Classes:
  Base64, BaseNCodec

    public interface BinaryEncoder

extends Encoder

Defines common encoding methods for byte array encoders.

Version:
  $Id: BinaryEncoder.java 1459218 2013-03-21 10:31:50Z markt $

Method Summary
`byte[]` `encode(byte[] source)` Encodes a byte array and return the encoded data as a byte array.

Methods inherited from interface org.apache.tomcat.util.codec.Encoder
`encode`

Method Detail

### encode

    byte[] encode(byte[] source)
                  throws EncoderException

  Encodes a byte array and return the encoded data as a byte array.

  Parameters:
    `source` - Data to be encoded
  Returns:
    A byte array containing the encoded data
  Throws:
    `EncoderException` - thrown if the Encoder encounters a failure condition during the encoding process.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.